[A002]Innovation Word Cloud (Query Search)

post
https://connect.patsnap.com/insights/word-cloud-query
Try in Sandbox

This API uses Query to search the most popular technical keywords, helping you analyze the latest research and development topics. Extracted the most common technical keywords from the last 5000 patents within the search query range.

Note: The query_text field is necessary, PatSnap search syntax can refer to: https://analytics.zhihuiya.com/search_helper.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
collapse_order
stringLATEST
When collapse_type="APNO", and collapse_by="APD" or "PBD", the collapse_order can be set as "OLDEST" or "LATEST", means keep the patent date of oldest or latest one
collapse_by
stringPBD

"APD" means order according to application date;

"PBD" means order according to publication date;

"AUTHORITY" means order according to authority;

"SCORE" means order according to the relevance score

lang
Required
stringcn
Enter the language, single choice, options include cn, en, and jp, which are Chinese, English, and Japanese respectively. Please use lowercase letters.
collapse_type
stringDOCDB

"ALL" or Null value means no collapse;

"APNO" means collapse according to application number;

"DOCDB" means collapse according to simple family;

"INPADOC" means collapse according to inpadoc family;

"EXTEND" means collapse according to patsnap family

query_text
Required
stringTACD_ALL:(virtual reality)
Enter the Analytics Query, with a maximum length of 800 characters and cannot contain complex wildcards such as $W $PRE $WS $SEN $PARA $FREQ .etc

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
name
stringelectronic device
Key concepts
count
integer<int32>37
Patents
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "name": "electronic device",
      "count": 37
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success